Subject: bug#38181: Actual height of mode-line not taken into account

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Oct 2021 13:40:02 +0300

> From: Carlos Pita <[email-masked]>
> Date: Fri, 15 Oct 2021 05:00:19 -0300
> Cc: [email-masked]
> 
> I don't know if it will help you dealing with the problem, but I
> believe that what I've just answered to Martin is new, indeed the
> workaround that was working before carefully deactivated itself after
> the first forced redisplay. What I can't see is why after the first
> redisplay, if the modeline hasn't changed, the popup will be chopped
> like that (a fortiori considering that previously it was correctly
> laid out).

Does the recipe involve any change in the appearance of the mode line?
If not, then it's a separate issue.